pub use sea_orm_migration::prelude::*;

mod m20220101_000001_create_user;
mod m20230322_103045_create_session;
mod m20230322_110525_create_post;
mod m20230322_174812_create_tag;
mod m20230324_213941_create_post_tag;
mod m20230324_222553_create_file;
mod m20230324_232343_add_file_to_post;



pub struct Migrator;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20220101_000001_create_user::Migration),
            Box::new(m20230322_103045_create_session::Migration),
            Box::new(m20230322_110525_create_post::Migration),
            Box::new(m20230322_174812_create_tag::Migration),
            Box::new(m20230324_213941_create_post_tag::Migration),
            Box::new(m20230324_222553_create_file::Migration),
            Box::new(m20230324_232343_add_file_to_post::Migration),
        ]
    }
}
