mod index;
mod post;

use axum::Router;
use axum::routing::get;
use askama::Template;
use crate::AppState;


pub fn frontend() -> Router<AppState> {
    Router::new()
        .route("/", get(index::index))
        .route("/post/:id", get(post::post))
}

#[derive(Template)]
#[template(path = "404.html")]
struct NotFoundTemplate {
    site_name: String,
    url: String,
    asset_endpoint: String,
}